<template>
  <div class="Evolution container" id="container">
   <div class="current-state">
   <h1 class="headline">{{ $t("message.statistics.evolution") }}</h1>
   <span class="content">
    <button class="btn btn-primary" :class="{ 'active': total}" v-on:click="showTotal()"> {{ $t("message.statistics.totalNumber") }} </button>
   <button class="btn btn-primary" :class="{ 'active': category}" v-on:click="showCategory()"> {{ $t("message.statistics.datasetsPerCategory") }} </button>
   <button class="btn btn-primary" :class="{ 'active': country}" v-on:click="showCountry()"> {{ $t("message.statistics.datasetsPerCountry") }} </button>
   <button class="btn btn-primary" :class="{ 'active': countryCatalogue}" v-on:click="showCountryCatalogue()"> {{ $t("message.statistics.datasetsPerCountryAndCatalogue") }}</button>
   </span>
    <chart-evolution-total v-if="total"></chart-evolution-total>
    <chart-evolution-cat v-if="category"></chart-evolution-cat>
    <chart-evolution-country v-if="country"></chart-evolution-country>
    <chart-evolution-catalogue v-if="countryCatalogue"></chart-evolution-catalogue>
    <div class="spacer"></div>
  </div>
  </div>
</template>

<script>
export default {
  /* eslint-disable */
  name: 'Evolution',
  metaInfo () {
    return {
      title: `${this.$t('message.common.historicalCatalogueStatistics')} - data.europa.eu`
    }
  },
  data () {
    return {
      isactive: true,
      table: true,
      pie: false,
      catalogue: false,
      country: false,
      category: false,
      countryCatalogue: false,
      total: true
    }
  },
  methods: {
    showTable () {
      this.isactive = true
      this.pie = false
      this.table = true
      return this.pie && this.table
    },
    showPie () {
      this.isactive = false
      this.pie = true
      this.table = false
      return this.pie && this.table
    },
    showCatalogue () {
      this.catalogue = true
      this.country = false
      this.category = false
      this.total = false
      this.countryCatalogue = false
      return this.catalogue
    },
    showCountry () {
      this.catalogue = false
      this.country = true
      this.category = false
      this.total = false
      this.countryCatalogue = false
      return this.country
    },
    showCategory () {
      this.catalogue = false
      this.country = false
      this.category = true
      this.total = false
      this.countryCatalogue = false
      return this.category
    },
    showCountryCatalogue () {
      this.catalogue = false
      this.country = false
      this.total = false
      this.category = false
      this.countryCatalogue = true
      return this.countryCatalogue
    },
    showTotal () {
      this.catalogue = false
      this.country = false
      this.category = false
      this.countryCatalogue = false
      this.total = true
      return this.total
    }
  }
}
</script>

<style lang="scss" scoped>

.btn {
  border-radius: 1.875rem;
}

.btn-primary {
  background-color: var(--medium-blue);
  border-color: var(--medium-blue);

  &:hover {
    background-color: #4070d6;
    border-color: #4476e2;
  }
}

.active {
  background-color: #001D85 !important;
  border-color: #001D85 !important;
}

#container{
  font-family: 'Ubuntu', 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  background-color: #fff;
}

.filter {
  float: right;
  padding-right: 18px;
  padding-bottom: 20px;
}
.headline {
  font-weight: 500;
  font-size: 18px;
  margin-bottom: 0;
  padding-bottom: 20px;
}

.spacer {
  margin-top: 20px;
}

</style>
